## ttcn3parser 20021218

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 #
 #    Michael Schmitt <schmitt@itm.mu-luebeck.de>
 #    Roman Koch <rkoch@itm.mu-luebeck.de>
+#    Helmut Neukirchen <neukirchen@itm.mu-luebeck.de>
 #
 #    Medical University of Luebeck,
 #    Ratzeburger Allee 160,
@@ -27,7 +28,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 #
-# $Id: Makefile,v 1.25 2001/08/05 16:40:02 schmitt Exp $
+# $Id: Makefile,v 1.29 2002/12/03 12:24:37 neukirchen Exp $
 #
 
 ifeq ($(OSTYPE),solaris)
@@ -39,17 +40,21 @@
 endif
 LDFLAGS=-Bstatic
 else
-CXX=g++
+CXX=g++-2.95
 CPPFLAGS=-I.
 CXXFLAGS=-g -Wall -ansi -pedantic
 ifndef LIBANTLR
+ifeq ($(OSTYPE),linux)
+LIBANTLR=antlr/libantlr-g++-linux.a
+else
 LIBANTLR=antlr/libantlr-g++-cygwin.a
+endif
 endif
 LDFLAGS=
 endif
 
-objects	 = InfoAST.o EnvAST.o ScopeAST.o TTCNMain.o TTCNLexer.o TTCNParser.o TTCNSymbolParser.o TTCNTreeParser.o
-
+objects	 = InfoAST.o EnvAST.o ScopeAST.o TTCNMain.o TTCNLexer.o TTCNParser.o TTCNSymbolParser.o TTCNTreeParser.o 
+# objects	 = InfoAST.o EnvAST.o ScopeAST.o TTCNMain.o TTCNLexer.o TTCNParser. o # use this if Tree parsing is broken
 
 # Eliminate implicit rules
 
@@ -57,6 +62,8 @@
 
 
 # Link TTCN-3 Parser
+
+all: TTCN3Parser
 
 TTCN3Parser : $(objects) $(LIBANTLR)
 	$(CXX) -o TTCN3Parser $(objects) $(LIBANTLR) $(LDFLAGS)
@@ -85,25 +92,25 @@
 $(LexerFiles) : .lexer_made
 
 .lexer_made : TTCNLexer.g Makefile
-	java antlr.Tool $<
+	kaffe antlr.Tool $<
 	touch .lexer_made
 
 $(ParserFiles) : .parser_made
 
 .parser_made : TTCNParser.g TTCNLexerTokenTypes.txt Makefile
-	java antlr.Tool $<
+	kaffe antlr.Tool $<
 	touch .parser_made
 
 $(SymbolParserFiles) : .symbolparser_made
 
 .symbolparser_made : TTCNSymbolParser.g TTCNParserTokenTypes.txt Makefile
-	java antlr.Tool $<
+	kaffe antlr.Tool $<
 	touch .symbolparser_made
 
 $(TreeParserFiles) : .treeparser_made
 
 .treeparser_made : TTCNTreeParser.g TTCNParserTokenTypes.txt Makefile
-	java antlr.Tool $<
+	kaffe antlr.Tool $<
 	touch .treeparser_made
 
 
@@ -111,6 +118,7 @@
 
 *.o              : $(LIBANTLR) Makefile InfoAST.hpp EnvAST.hpp ScopeAST.hpp
 TTCNMain.o       : TTCNLexer.hpp TTCNParser.hpp TTCNTreeParser.hpp
+# TTCNMain.o       : TTCNLexer.hpp TTCNParser.hpp # Use this if Tree parsing is broken
 TTCNTreeParser.o : TTCNSymbolParser.hpp
 
 # Maintainance
@@ -122,9 +130,13 @@
           $(LexerFiles) $(ParserFiles) $(SymbolParserFiles) $(TreeParserFiles)\
 	        .lexer_made .parser_made .symbolparser_made .treeparser_made *.tmp
 
-webupdate :
+# Publish tarred sources to web (makes only sense on ITM's web server)
+# $(WEBPATH) have to be set properly
+webupdate:
 	tar cvf sources.tar GPL.txt Makefile \
           InfoAST.hpp InfoAST.cpp EnvAST.hpp EnvAST.cpp ScopeAST.hpp ScopeAST.cpp \
           TTCNMain.cpp TTCNLexer.g TTCNParser.g TTCNSymbolParser.g TTCNTreeParser.g INSTALL README
 	gzip -9 sources.tar
-	mv sources.tar.gz /usr/local/apache/htdocs/english/research/specification/ttcn3parser/.
+	mv -f sources.tar.gz $(WEBPATH)/ttcn3/.
+
+	chmod 664 $(WEBPATH)/ttcn3/sources.tar.gz
