## ttcn3parser 20060801-1.1

=== debian/changelog ===
ttcn3parser (20060801-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added ${python:Depends} in the Depends field (Closes: #398833).
  * Moved debhelper, cdbs, python-all-dev and python-central to the
    Build-Depends field (Policy 7.6).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 25 Nov 2006 03:58:41 +0000

ttcn3parser (20060801-1) unstable; urgency=low

  * New Python policy (closes: #380979).
  * Missing ImportTestcaseSpec from ImportElement (closes: #330672).

 -- W. Borgert <debacle@debian.org>  Tue, 01 Aug 2006 17:53:10 +0000

ttcn3parser (20050130-2) unstable; urgency=low

  * New maintainer:
    Debian FDT tool team <pkg-fdt-tools-team@lists.alioth.debian.org>.
    FDT = Formal Description Technique (e.g. ASN.1, MSC, SDL, TTCN-3)

 -- W. Borgert <debacle@debian.org>  Fri, 05 Aug 2005 17:10:39 +0000

ttcn3parser (20050130-1) unstable; urgency=high

  * New version: parses all test cases now.
  * Closes: #292836 (Missing Build-Depends on 'python-dev').

 -- W. Borgert <debacle@debian.org>  Sun, 30 Jan 2005 15:32:52 +0000

ttcn3parser (20050122-1) unstable; urgency=high

  * New upstream version by new upstream (me).
  * No ANTLR anymore, using python-pyparsing instead.
  * Follows the current TTCN-3 standard.
  * Closes: #199220 (crashes on any input file).
  * Closes: #233052 (m68k: invalid static_cast) - no C++.
  * Closes: #244274 (Build-Depends for antlr unsatisfyable) - no ANTLR.
  * Lintian warnings fixed.

 -- W. Borgert <debacle@debian.org>  Sat, 22 Jan 2005 13:38:16 +0000

ttcn3parser (20021218-1) unstable; urgency=high

  * New upstream version.
  * Some test files included.
  * Fixes problems with new ANTLR and g++ 3.3, thanks to Daniel Schepler
    (Closes: #199220).
  * Uses CDBS to build.

 -- W. Borgert <debacle@debian.org>  Wed, 15 Oct 2003 18:44:23 +0000

ttcn3parser (20011019-1) unstable; urgency=low

  * New upstream version.
  * Added the generated files to the CVS, this closes: 106650.
    This is not a perfect solution!

 -- W. Borgert <debacle@debian.org>  Fri, 19 Oct 2001 14:45:46 +0000

ttcn3parser (20010321-1) unstable; urgency=low

  * New upstream version.
  * Added java-virtual-machine to build dependencies (closes: #94871).

 -- W. Borgert <debacle@debian.org>  Mon, 23 Apr 2001 11:00:11 +0000

ttcn3parser (20010126-1) unstable; urgency=low

  * Initial Release.

 -- W. Borgert <debacle@debian.org>  Fri, 26 Jan 2001 21:21:27 +0000
