=== debian/control ===
Source: ttcn3parser
Section: devel
Priority: extra
Maintainer: Debian FDT tools team <pkg-fdt-tools-team@lists.alioth.debian.org>
Uploaders: W. Borgert <debacle@debian.org>, Michael Piefel <piefel@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python-all-dev (>= 2.3.5-11), python-central (>= 0.5)
Build-Depends-Indep: docbook-xsl (>= 1.60), xsltproc
Standards-Version: 3.7.2.1
XS-Python-Version: current

Package: ttcn3parser
Architecture: all
Depends: ${python:Depends}, python-pyparsing
Recommends: ttcn-el
Suggests: python-psyco
XB-Python-Version: ${python:Versions}
Description: parser for the TTCN-3 test specification language
 This is a parser for TTCN-3 (Testing and Test Control
 Notation 3), a language mainly for testing of communication
 protocols.  Warning: The parser is still under development.
