=== debian/rules ===
#!/usr/bin/make -f

DEB_INSTALL_DIRS_ALL := usr/bin usr/share/man/man1
DEB_INSTALL_DOCS_ALL := README
DEB_INSTALL_EXAMPLES_ttcn3parser := Tests/*.ttcn
DEB_INSTALL_MANPAGES_ttcn3parser := TTCN3Parser.1
DEB_PYTHON_SYSTEM := pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DB2MAN=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl

common-build-indep::
	xsltproc --nonet --novalid $(DB2MAN) TTCN3Parser.dbk

clean::
	rm -f debian/TTCN3Parser.1
